petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawStringSetSize

Sets the size for character text.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawStringSetSize(PetscDraw draw,PetscReal width,PetscReal height)

Not Collective

### Input Parameters

| draw | - the drawing context
| width | - the width in user coordinates
| height | - the character height in user coordinates

### Note

Only a limited range of sizes are available.

### See Also

PetscDrawStringVertical(), PetscDrawString(), PetscDrawStringCentered(), PetscDrawStringBoxed(), PetscDrawStringBoxed(),
PetscDrawStringGetSize()

### Level

advanced

### Location

src/sys/classes/draw/interface/dtext.c

### Implementations

PetscDrawStringSetSize_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawStringSetSize_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawStringSetSize_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages